| Version: 3.3.1

Public Member Functions | List of all members
wxWebViewHandlerRequest Class Referenceabstract
Class List by Category » WebView

`#include <wx/webview.h>`

## Detailed Description

A class giving access to various parameters of a webview request.

Since
  3.3.0

  ##

Library: wxWebView
Category: WebView

See also
  wxWebViewHandler::StartRequest()

## Public Member Functions
virtual wxString | GetRawURI () const =0
virtual wxString | GetURI () const
virtual wxInputStream * | GetData () const =0
virtual wxString | GetDataString (const wxMBConv &conv=wxConvUTF8) const
virtual wxString | GetMethod () const =0
virtual wxString | GetHeader (const wxString &name) const =0
| Returns a header from the request or an empty string if the header could not be found. More...

## Member Function Documentation

## ◆ GetData()

virtual wxInputStream* wxWebViewHandlerRequest::GetData | ( |  | ) | const
| pure virtual

Returns
  The body data of the request of `null` if nothing was posted.

## ◆ GetDataString()

virtual wxString wxWebViewHandlerRequest::GetDataString | ( | const wxMBConv & | conv = `wxConvUTF8` | ) | const
| virtual

Returns
  The body data of the request as a string. The returned string is empty if the supplied `conv` doesn't match the encoding.

## ◆ GetHeader()

virtual wxString wxWebViewHandlerRequest::GetHeader | ( | const wxString & | name | ) | const
| pure virtual

Returns a header from the request or an empty string if the header could not be found.

Parameters

  name | Name of the header field

## ◆ GetMethod()

virtual wxString wxWebViewHandlerRequest::GetMethod | ( |  | ) | const
| pure virtual

Returns
  The requests HTTP method (e.g. POST, GET, OPTIONS).

## ◆ GetRawURI()

virtual wxString wxWebViewHandlerRequest::GetRawURI | ( |  | ) | const
| pure virtual

Returns
  The unmodified url of the request.

## ◆ GetURI()

virtual wxString wxWebViewHandlerRequest::GetURI | ( |  | ) | const
| virtual

Returns
  The url of the request. Can be modified by the backend for compatibility.